<?php

namespace humhub\modules\external_calendar\widgets;

use humhub\modules\external_calendar\assets\Assets;
use humhub\modules\external_calendar\permissions\ManageCalendar;

/**
 * @inheritdoc
 */
class WallEntryCalendar extends \humhub\modules\content\widgets\WallEntry
{
    /**
     * @var string
     */
    public $managePermission = ManageCalendar::class;

    /**
     * @inheritdoc
     */
   public $editRoute = "/external_calendar/calendar/edit";

    /**
     * @inheritdoc
     */
   public $editMode = self::EDIT_MODE_NEW_WINDOW;

    /**
     * @var bool defines if the description and participation info should be cut at a certain height, this should only be the case in the stream
     */
    public $stream = true;

    /**
     * @var bool defines if the content should be collapsed
     */
    public $collapse = true;

    public function getContextMenu()
    {
        $this->controlsOptions['prevent'] = [\humhub\modules\content\widgets\VisibilityLink::class];
        return parent::getContextMenu(); // TODO: Change the autogenerated stub
    }

    /**
     * @inheritdoc
     */
    public function run()
    {
        Assets::register($this->getView());

        return $this->render('wallEntryCalendar', [
            'calendar' => $this->contentObject,
            'collapse' => $this->collapse,
        ]);
    }
}
